Index: trunk/src/lib/collision_detection/aabb.cc
===================================================================
--- trunk/src/lib/collision_detection/aabb.cc	(revision 9235)
+++ trunk/src/lib/collision_detection/aabb.cc	(revision 9406)
@@ -19,5 +19,5 @@
 #include "vector.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/collision_detection/aabb_tree_node.cc
===================================================================
--- trunk/src/lib/collision_detection/aabb_tree_node.cc	(revision 9235)
+++ trunk/src/lib/collision_detection/aabb_tree_node.cc	(revision 9406)
@@ -34,5 +34,5 @@
 
 
-using namespace std;
+
 
 
@@ -262,6 +262,4 @@
     const int* triangleIndexes, int length)
 {
-
-  Vector         axis[3];                            //!< the references to the obb axis
   Matrix         covMat(  box.covarianceMatrix  );   //!< covariance matrix (in the matrix dataform)
 
@@ -501,5 +499,5 @@
   if( this->overlapTest(this->bvElement, treeNode->bvElement, nodeA, nodeB))
   {
-    PRINTF(5)("collision @ lvl %i, object %s vs. %s, (%p, %p)\n", this->depth, nodeA->getClassName(), nodeB->getClassName(), this->nodeLeft, this->nodeRight);
+    PRINTF(5)("collision @ lvl %i, object %s::%s vs. %s::%s, (%p, %p)\n", this->depth, nodeA->getClassCName(), nodeA->getCName(), nodeB->getClassCName(), nodeA->getCName(), this->nodeLeft, this->nodeRight);
 
 
Index: trunk/src/lib/collision_detection/bounding_sphere.cc
===================================================================
--- trunk/src/lib/collision_detection/bounding_sphere.cc	(revision 9235)
+++ trunk/src/lib/collision_detection/bounding_sphere.cc	(revision 9406)
@@ -18,5 +18,5 @@
 #include "bounding_sphere.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/collision_detection/bounding_volume.cc
===================================================================
--- trunk/src/lib/collision_detection/bounding_volume.cc	(revision 9235)
+++ trunk/src/lib/collision_detection/bounding_volume.cc	(revision 9406)
@@ -18,5 +18,5 @@
 #include "bounding_volume.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/collision_detection/bv_tree.cc
===================================================================
--- trunk/src/lib/collision_detection/bv_tree.cc	(revision 9235)
+++ trunk/src/lib/collision_detection/bv_tree.cc	(revision 9406)
@@ -18,5 +18,5 @@
 #include "bv_tree.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/collision_detection/bv_tree_node.cc
===================================================================
--- trunk/src/lib/collision_detection/bv_tree_node.cc	(revision 9235)
+++ trunk/src/lib/collision_detection/bv_tree_node.cc	(revision 9406)
@@ -18,5 +18,5 @@
 #include "bv_tree_node.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/collision_detection/cd_engine.cc
===================================================================
--- trunk/src/lib/collision_detection/cd_engine.cc	(revision 9235)
+++ trunk/src/lib/collision_detection/cd_engine.cc	(revision 9406)
@@ -34,5 +34,5 @@
 #include "bsp_entity.h"
 
-using namespace std;
+
 
 
@@ -45,5 +45,5 @@
 
   this->bAbordOnFirstCollision = false;
-  
+
   this->terrain = NULL;
 }
@@ -86,5 +86,6 @@
         if( likely((*entity2) != this->terrain))
         {
-          PRINTF(5)("checking object %s (%s) against %s (%s)\n", (*entity1)->getClassName(), (*entity1)->getName(), (*entity2)->getClassName(), (*entity2)->getName());
+          PRINTF(5)("checking object %s (%s) against %s (%s)\n",
+            (*entity1)->getClassCName(), (*entity1)->getCName(), (*entity2)->getClassCName(), (*entity2)->getCName());
           tree = (*entity1)->getOBBTree();
           if( likely(tree != NULL) && (*entity2)->getOBBTree() != NULL)
@@ -113,5 +114,5 @@
       for(entityIterator = list1.begin(); entityIterator != list1.end(); entityIterator++)
       {
-//         PRINTF(0)("Checking: %s a %s\n", (*entityIterator)->getName(), (*entityIterator)->getClassName());
+//         PRINTF(0)("Checking: %s a %s\n", (*entityIterator)->getName(), (*entityIterator)->getClassCName());
         (dynamic_cast<BspEntity*>(*bspIterator)->getBspManager())->checkCollision(*entityIterator);
       }
Index: trunk/src/lib/collision_detection/obb.cc
===================================================================
--- trunk/src/lib/collision_detection/obb.cc	(revision 9235)
+++ trunk/src/lib/collision_detection/obb.cc	(revision 9406)
@@ -19,5 +19,5 @@
 #include "vector.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/collision_detection/obb_tree.cc
===================================================================
--- trunk/src/lib/collision_detection/obb_tree.cc	(revision 9235)
+++ trunk/src/lib/collision_detection/obb_tree.cc	(revision 9406)
@@ -25,5 +25,5 @@
 #include "p_node.h"
 
-using namespace std;
+
 
 
Index: trunk/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 9235)
+++ trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 9406)
@@ -33,5 +33,5 @@
 
 
-using namespace std;
+
 
 
@@ -434,4 +434,5 @@
     }
   }
+  delete [] triangleCenter;
   PRINTF(4)("\nPartition1: got \t%i Vertices \nPartition2: got \t%i Vertices\n", partition1.size(), partition2.size());
 
@@ -476,10 +477,10 @@
     return;
 
-  float distanceMax = this->bvElement->radius + ((OBBTreeNode*)treeNode)->bvElement->radius;
-  float distance = fabs((nodeA->getAbsCoor() - nodeB->getAbsCoor()).len());
+//   float distanceMax = this->bvElement->radius + ((OBBTreeNode*)treeNode)->bvElement->radius;
+//   float distance = fabs((nodeA->getAbsCoor() - nodeB->getAbsCoor()).len());
 
 
 //   if( distance < distanceMax)
-//     PRINTF(0)(" %s (%s: group %i) vs %s (%s: group %i): distanceMax: %f, distance: %f\n", nodeA->getClassName(), nodeA->getName(), nodeA->getOMListNumber(), nodeB->getClassName(),  nodeB->getName(), nodeB->getOMListNumber(), distanceMax, distance);
+//     PRINTF(0)(" %s (%s: group %i) vs %s (%s: group %i): distanceMax: %f, distance: %f\n", nodeA->getClassCName(), nodeA->getName(), nodeA->getOMListNumber(), nodeB->getClassCName(),  nodeB->getName(), nodeB->getOMListNumber(), distanceMax, distance);
 
 
@@ -504,5 +505,5 @@
   if( this->overlapTest(this->bvElement, treeNode->bvElement, nodeA, nodeB))
   {
-    PRINTF(5)("collision @ lvl %i, object %s vs. %s, (%p, %p)\n", this->depth, nodeA->getClassName(), nodeB->getClassName(), this->nodeLeft, this->nodeRight);
+    PRINTF(5)("collision @ lvl %i, object %s vs. %s, (%p, %p)\n", this->depth, nodeA->getClassCName(), nodeB->getClassCName(), this->nodeLeft, this->nodeRight);
 
 
@@ -806,5 +807,5 @@
       if( this->obbTree->getOwner() != NULL)
       {
-        PRINTF(4)("debug poly draw: depth: %i, mode: %i, entity-name: %s, class: %s\n", depth, drawMode, this->obbTree->getOwner()->getName(), this->obbTree->getOwner()->getClassName());
+        PRINTF(4)("debug poly draw: depth: %i, mode: %i, entity-name: %s, class: %s\n", depth, drawMode, this->obbTree->getOwner()->getCName(), this->obbTree->getOwner()->getClassCName());
       }
       else
